/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Extracranial Arteries
 */
public enum EnumCV_ExtracranialArteries {

	//Extracranial Arteries - CID 12104
	CAROTID_BIFURCATION_T_45160("T-45160"),
	CAROTID_BULB_T_45170("T-45170"),
	COMMON_CAROTID_ARTERY_T_45100("T-45100"),
	EXTERNAL_CAROTID_ARTERY_T_45200("T-45200"),
	INTERNAL_CAROTID_ARTERY_T_45300("T-45300"),
	SUBCLAVIAN_ARTERY_T_46100("T-46100"),
	VERTEBRAL_ARTERY_T_45700("T-45700");

	private String value;

	EnumCV_ExtracranialArteries(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
